Subject: bug#33300: hplip 3.18.9 contains non-free binary blobs

From: [email-masked] (Ludovic Courtès)
Date: Wed, 07 Nov 2018 15:34:44 +0100

Hello!

Efraim Flashner <[email-masked]> skribis:

> Here's what I have right now:
>
> ;; Delete non-free blobs$
> (delete-file "prnt/hpcups/libImageProcessor-x86_64.so")$
> (delete-file "prnt/hpcups/libImageProcessor-x86_32.so")$
> (delete-file-recursively "prnt/plugins")$

I’d suggest simply something along the lines of what I tried earlier:

              ;; Starting from version 3.18.9, hplip comes with binary
              ;; blobs under prnt/hpcups and prnt/plugins.  Remove them.
              (for-each delete-file (find-files "." "\\.so$"))

> (substitute* "Makefile.am"$
>   (("dist_printplugins_DATA") "# dist_printplugins_DATA"))

Rather “Makefile.in”, to avoid depending on Automake.

> and a patch from debian to address imageprocessor:
>   https://salsa.debian.org/printing-team/hplip/raw/debian/3.18.10+dfsg0-1/debian/patches/0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch

With this patch we should be able to keep 3.18.9, so it looks better
than reverting.

Could you send a patch for this?  (If not Tobias said he can work on it
soon. :-)).

Thanks!

Ludo’.